Get risk profile 1

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developers.smartpm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "SmartPM Public API MCP server": {
    "url": "https://developers.smartpm.com/mcp"
  }
}

Close
GET /project/{projectId}/risk-profile

Headers

  • X-COMPANY-ID string Required

    The company's unique ID

Path parameters

  • projectId integer(int64) Required

Responses

  • 200 */*

    OK

    Hide response attributes Show response attributes object
    • scoreReporting string

      Value is NUMBER.

    • riskThresholds array[object]
      Hide riskThresholds attributes Show riskThresholds attributes object
      • isHidden boolean
      • id integer(int64)
      • weight number(double)
      • values array[object]
        Hide values attributes Show values attributes object
        • value number(double)
        • id integer(int64)
        • indicator string

          Values are GOOD, FINE, or BAD.

      • metric string

        Values are LOW_FLOAT_RISK, FINISH_VARIANCE_RISK, or SUCCESSOR_COUNT_RISK.

    • name string
    • id integer(int64)
    • version integer(int32)
    • configuration object
      Hide configuration attribute Show configuration attribute object
      • * object Additional properties
        Hide * attributes Show * attributes object
        • value string
        • methodType string

          Value is STATIC.

    • companyId string(uuid)
    • archived boolean
    • createdDate string(date-time)
GET /project/{projectId}/risk-profile
curl \
 --request GET 'https://live.smartpmtech.com/project/{projectId}/risk-profile' \
 --header "X-API-KEY: $API_KEY" \
 --header "X-COMPANY-ID: string"
Response examples (200)
{
  "scoreReporting": "NUMBER",
  "riskThresholds": [
    {
      "isHidden": true,
      "id": 42,
      "weight": 42.0,
      "values": [
        {
          "value": 42.0,
          "id": 42,
          "indicator": "GOOD"
        }
      ],
      "metric": "LOW_FLOAT_RISK"
    }
  ],
  "name": "string",
  "id": 42,
  "version": 42,
  "configuration": {
    "additionalProperty1": {
      "value": "string",
      "methodType": "STATIC"
    },
    "additionalProperty2": {
      "value": "string",
      "methodType": "STATIC"
    }
  },
  "companyId": "string",
  "archived": true,
  "createdDate": "2026-05-04T09:42:00Z"
}